## ros-bouncy-ament-cmake 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)

ament_export_dependencies(
  "ament_cmake_core"
  "ament_cmake_export_definitions"
  "ament_cmake_export_dependencies"
  "ament_cmake_export_include_directories"
  "ament_cmake_export_interfaces"
  "ament_cmake_export_libraries"
  "ament_cmake_export_link_flags"
  "ament_cmake_libraries"
  "ament_cmake_python"
  "ament_cmake_target_dependencies"
  "ament_cmake_test"
)

ament_package()

=== debian/changelog ===
ros-bouncy-ament-cmake (0.5.1-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 22:45:29 -0000

=== debian/control ===
Source: ros-bouncy-ament-cmake
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-bouncy-ament-cmake-core, ros-bouncy-ament-cmake-export-dependencies, ros-bouncy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-ament-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cmake, ros-bouncy-ament-cmake-core, ros-bouncy-ament-cmake-export-definitions, ros-bouncy-ament-cmake-export-dependencies, ros-bouncy-ament-cmake-export-include-directories, ros-bouncy-ament-cmake-export-interfaces, ros-bouncy-ament-cmake-export-libraries, ros-bouncy-ament-cmake-export-link-flags, ros-bouncy-ament-cmake-libraries, ros-bouncy-ament-cmake-python, ros-bouncy-ament-cmake-target-dependencies, ros-bouncy-ament-cmake-test, ros-bouncy-ros-workspace
Description: The entry point package for the ament buildsystem in CMake.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-ament-cmake//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
